Activate/Suspend
curl --request PUT \
--url http://{host}:{port}/{contextPath}/batch/{id}/suspended \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"suspended": true
}
'import requests
url = "http://{host}:{port}/{contextPath}/batch/{id}/suspended"
payload = { "suspended": True }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({suspended: true})
};
fetch('http://{host}:{port}/{contextPath}/batch/{id}/suspended', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"message": "<string>",
"code": 123
}批处理
激活/挂起
Activates or suspends a batch by id.
PUT
/
batch
/
{id}
/
suspended
Activate/Suspend
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the batch to activate or suspend.
Body
application/json
A Boolean value which indicates whether to activate or suspend a given instance (e.g. process instance, job, job definition, or batch). When the value is set to true, the given instance will be suspended and when the value is set to false, the given instance will be activated.
Response
Request successful.
⌘I